var estProdAgendaCompraEstProdMapper = mapperFactory.createMapper("EstProdAgendaCompraEstProd");
var estProdAgendaCompraMapper = mapperFactory.createMapper("EstProdAgendaCompra");
var inserir = message.get("inserir");
var remover = message.get("remover");

try {

	for(var i=0; i<inserir.size(); i++){
		inserir.get(i).put("dtCad", new java.text.SimpleDateFormat('yyyy-MM-dd').format(new Date()));
		estProdAgendaCompraEstProdMapper.insert('incluirEstProdAgendaCompraEstProd', inserir.get(i));
	}
	
	if(remover.size()>0){
		estProdAgendaCompraEstProdMapper.insert('excluirEstProdAgendaCompraEstProdEmMassa', message);
	}
	
	
	//ATUALIZA AGENDA DE COMPRA MODIFICADA DURANTE OS VINCULOS
	var agendaDeCompra = {
		'cdEmp': 1,
		'cdCtrAgenda': message.get("cdCtrAgenda"),
		'cdUsuAlt': message.get("cdUsu"),
		'dtUltAlt': new java.text.SimpleDateFormat('yyyy-MM-dd').format(new Date())
	};
	estProdAgendaCompraMapper.update('alterarEstProdAgendaCompra', agendaDeCompra);
	estProdAgendaCompraMapper.commit();
	
	estProdAgendaCompraEstProdMapper.commit();
	var objectRequest = {
			'cdCtrAgenda': message.get("cdCtrAgenda")
	};
	var retorno = {
			'produtos': estProdAgendaCompraEstProdMapper.selectList('listarEstProdAgendaCompraEstProdComDescricao', objectRequest)
	};
	retorno;
}catch(err) {
    java.lang.System.out.println(err);
    estProdAgendaCompraEstProdMapper.rollback();
    estProdAgendaCompraMapper.rollback();
    
    throw " Ocorreu um erro: " + err;
}